package Gtk2::GLExt::Install::Files;

$self = {
          'inc' => '-I/usr/include/gtkglext-1.0 -I/usr/lib/gtkglext-1.0/include -I/usr/X11R6/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0  ',
          'typemaps' => [
                          'gtkglextperl.typemap'
                        ],
          'deps' => [
                      'Glib',
                      'Gtk2',
                      'Cairo'
                    ],
          'libs' => '-Wl,--export-dynamic -L/usr/X11R6/lib -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangox-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXi -lXrandr -lXext -lXcursor -lXdamage -lXfixes -lcairo -lXrender -lX11 -lpangoft2-1.0 -lfontconfig -lexpat -lpango-1.0 -lfreetype -lglitz -lm -lpng12 -lz -lxcb-xlib -latk-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv -lxcb -lXau -lXdmcp  '
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gtk2/GLExt/Install/Files.pm") {
			$CORE = $_ . "/Gtk2/GLExt/Install/";
			last;
		}
	}

1;
